clang-tools 8.0.0

Classes | Namespaces | Enumerations | Functions
Transport.h File Reference
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/JSON.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for Transport.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::Transport
class | clang::clangd::Transport::MessageHandler

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Enumerations
enum | clang::clangd::JSONStreamStyle { clang::clangd::Standard, clang::clangd::Delimited }

## Functions
std::unique_ptr< Transport > | clang::clangd::newJSONTransport (std::FILE *In, llvm::raw_ostream &Out, llvm::raw_ostream *InMirror, bool Pretty, JSONStreamStyle Style)